#!/bin/sh

. lib/color.sh

BASEDIR=./cdrom
ISOLINUXDIR=${BASEDIR}/isolinux

[ ! -d cdrom ] && echo "Directory ${BASEDIR} not found !" && exit 1

rm -fr ${BASEDIR}/*

mkdir -p ${ISOLINUXDIR}/
cp -vf /usr/lib/syslinux/isolinux.bin ${ISOLINUXDIR}/
cp -vf /tftpboot/bzImage ${ISOLINUXDIR}/
cp -vf /tftpboot/minirt.gz ${ISOLINUXDIR}/

cat > ${BASEDIR}/isolinux/isolinux.cfg << __EOF__
LABEL linux
KERNEL bzImage
APPEND initrd=minirt.gz rw apm=power-off vga=769 noacpi noapic nosmp nofirewire nomce noideraid
__EOF__


mkisofs \
	-o eqos-agent.iso \
	-input-charset utf-8 \
	-b isolinux/isolinux.bin \
	-c isolinux/boot.cat \
	-no-emul-boot \
	-boot-load-size 4 \
	-boot-info-table \
	-r -R \
	cdrom
